| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkExportWrap::NodeWrapper Class Referencefinal

Wraps a nkExport::Node and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static void * | constructor (const nkScripts::DataStack &stack)
static void | destructor (void *toDestroy)
static nkScripts::OutputValue | getValueAsString (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getValueAsInt (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getValueAsFloat (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getValueAsDouble (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getValueAsBool (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getNodeNature (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getNodeValueType (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getArraySize (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | isValueTypeNumber (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getArrayElement (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getMemberCount (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getMemberKey (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getMemberValue (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getMemberValueIndex (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setAsString (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setAsInt (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setAsFloat (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setAsDouble (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setAsBool (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | addElement (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | addMember (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkExport::Node and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkExportWrap::NodeWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ constructor()

static void* nkAstraeus::nkExportWrap::NodeWrapper::constructor | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the constructor of the user type.

local t = nkExport.Node.new() ;

Parameters

  stack | The parameter stack.

Returns
  An output value with the user type and data allocated.

## ◆ destructor()

static void nkAstraeus::nkExportWrap::NodeWrapper::destructor | ( | void * | toDestroy | ) |
| static

Wrapper function for the destructor of the user type.

Parameters

  toDestroy | The data that has to be freed.

## ◆ getValueAsString()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getValueAsString | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkExport::Node::getValueAsString() method.

local d = node:getValueAsString() ;

Parameters

  stack | The parameter stack filled for the function call.

Returns
  The attribute value, as a string.

## ◆ getValueAsInt()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getValueAsInt | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkExport::Node::getValueAsInt() method.

local d = node:getValueAsInt() ;

Parameters

  stack | The parameter stack filled for the function call.

Returns
  The attribute value, as an int.

## ◆ getValueAsFloat()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getValueAsFloat | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkExport::Node::getValueAsFloat() method.

local d = node:getValueAsFloat() ;

Parameters

  stack | The parameter stack filled for the function call.

Returns
  The attribute value, as an float.

## ◆ getValueAsDouble()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getValueAsDouble | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkExport::Node::getValueAsDouble() method.

local d = node:getValueAsDouble() ;

Parameters

  stack | The parameter stack filled for the function call.

Returns
  The attribute value, as a double.

## ◆ getValueAsBool()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getValueAsBool | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkExport::Node::getValueAsBool() method.

local d = node:getValueAsBool() ;

Parameters

  stack | The parameter stack filled for the function call.

Returns
  The attribute value, as a bool.

## ◆ getNodeNature()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getNodeNature | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkExport::Node::getNodeNature() method.

local d = node:getNodeNature() ;

Parameters

  stack | The parameter stack filled for the function call.

Returns
  The attribute value, as a nkExport::NODE_NATURE.

## ◆ getNodeValueType()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getNodeValueType | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkExport::Node::getNodeValueType() method.

local d = node:getNodeValueType() ;

Parameters

  stack | The parameter stack filled for the function call.

Returns
  The attribute value, as a nkExport::NODE_VALUE_TYPE.

## ◆ getArraySize()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getArraySize | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkExport::Node::getArraySize() method.

local d = node:getArraySize() ;

Parameters

  stack | The parameter stack filled for the function call.

Returns
  The attribute value, as a string.

## ◆ isValueTypeNumber()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::isValueTypeNumber | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::isValueTypeNumber().

local d = node:isValueTypeNumber() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a bool.

## ◆ getArrayElement()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getArrayElement | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::getArrayElement().

local d = node:getArrayElement(0) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkExport::Node.

## ◆ getMemberCount()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getMemberCount | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::getMemberCount().

local d = node:getMemberCount() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as an unsigned int.

## ◆ getMemberKey()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getMemberKey | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::getMemberKey().

local d = node:getMemberKey(0) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getMemberValue()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getMemberValue | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::getMemberValue().

local d = node:getMemberValue("key") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkExport::Node.

## ◆ getMemberValueIndex()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::getMemberValueIndex | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::getMemberValueIndex().

local d = node:getMemberValueIndex(0) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkExport::Node.

## ◆ setAsString()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::setAsString | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::setAsString() method.

node:setAsString("str") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ setAsInt()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::setAsInt | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::setAsInt() method.

node:setAsInt(2) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ setAsFloat()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::setAsFloat | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::setAsFloat() method.

node:setAsFloat(0.5) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ setAsDouble()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::setAsDouble | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::setAsDouble() method.

node:setAsDuble(0.5) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ setAsBool()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::setAsBool | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::setAsBool() method.

node:setAsBool(false) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ addElement()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::addElement | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::addElement().

local d = node:addElement() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkExport::Node.

## ◆ addMember()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::NodeWrapper::addMember | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkExport::Node::addMember().

local d = node:addMember("key") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkExport::Node.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkExportWrap/Tree/NodeWrapper.h